.wrapper {
  position: relative;
  width: 100%;
  height: 100vh;
  background: url("bg.webp") center/cover no-repeat;
}

.app {
  display: block;
  width: 100%;
  height: 100vh;
  position: relative;
  z-index: 10;
}

.logo__container {
  width: 10vw;
  height: 12vh;
  background: url("PI_logo.webp") center / contain no-repeat;
  position: absolute;
  top: 2%;
  left: 2%;
  z-index: 5;
}

.container {
  max-width: 65%;
  margin: 0 auto;
  padding-top: 8%;
}

.cards {
  display: flex;
  align-items: center;
}

.card__item {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 1;
  position: relative;
  gap: 2vh;
}

.item__wrapper {
  position: relative;
  width: 13vw;
  aspect-ratio: 2.5 / 4.4;
  transition: transform 0.4s ease;
}

.card__item:hover .item__wrapper {
  transform: scale(1.3);
}

.front::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("frame.webp") center/cover no-repeat;
  transition: opacity 0.3s ease;
  z-index: 2;
  pointer-events: none;
}

.card__item:hover .front::before {
  background: none;
  border: 7px solid #fce3f1;
}

.card__item:nth-of-type(2) .subtitle__text,
.card__item:nth-of-type(3) .subtitle__text {
  max-width: 7vw;
}

.item__img {
  position: absolute;
  inset: 0;
  overflow: hidden;
}

.item__img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.item__subtitle {
  width: 10vw;
  height: 14vh;
  position: relative;
  z-index: 3;
  overflow: hidden;
}

.item__subtitle::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("text-box.webp") center no-repeat;
  background-size: contain;
  transition: transform 0.4s ease;
  z-index: 1;
}

.subtitle__text {
  max-width: 5vw;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  transition:
    filter 0.4s ease,
    text-shadow 0.4s ease;
}

.card__item:hover .item__subtitle::before {
  transform: translateY(-120%);
}

.card__item:hover .item__subtitle {
  background: none;
}

.card__item:hover .subtitle__text {
  max-width: 8vw;
}

.progress__overlay {
  position: fixed;
  inset: 0;
  display: none;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background: rgba(0, 0, 0, 0.9);
  z-index: 9999;
  color: #fff;
  font-family: "Exo2-Bold";
}

.progress__bar {
  width: 0%;
  height: 10px;
  background: linear-gradient(90deg, #f42ab7, #e04f97);
  border-radius: 5px;
  transition: width 0.3s ease;
}

.progress__text {
  font-family: "Pacifico", cursive;
  font-weight: 700;
  margin-top: 20px;
  font-size: 40px;
  letter-spacing: 1px;
}

@media (max-width: 2560px) and (max-height: 1440px) {
  .container {
    max-width: 75%;
    padding-top: 12%;
  }

  .item__wrapper {
    width: 16vw;
  }

  .logo__container {
    width: 11vw;
  }
}

@media (max-width: 2560px) and (max-height: 1080px) {
  .item__wrapper {
    width: 13vw;
  }

  .container {
    max-width: 65%;
    padding-top: 8%;
  }
}

@media (max-width: 1920px) {
  .container {
    max-width: 75%;
    padding-top: 11%;
  }

  .item__wrapper {
    width: 15.5vw;
  }
}

@media (max-height: 749px) {
  .item__wrapper {
    width: 15vw;
  }

  .container {
    padding-top: 9%;
  }
}
